import React from "react";
import { AuthContext } from "../roles-based-auth/context";
export const AuthCallback = ({ children, locationHash, Redirect, }) => (React.createElement(AuthContext.Consumer, null, (auth) => {
    if (/access_token|id_token|error/.test(locationHash)) {
        auth.logic.handle();
        return React.createElement(React.Fragment, null);
    }
    if (Redirect)
        return React.createElement(Redirect, { to: auth.routes.public });
    else {
        // eslint-disable-next-line no-console
        console.log("AuthCallback has no redirect, be sure handleAuthentication has programatic redirection");
    }
    return React.createElement(React.Fragment, null, children);
}));
//# sourceMappingURL=AuthCallback.js.map