export const DEFAULT_TIMEOUT = 7000;
export const fetchWithTimeout = (requestInfo, requestInit, timeout = DEFAULT_TIMEOUT) => Promise.race([
    fetch(requestInfo, requestInit),
    new Promise((_, reject) => setTimeout(() => reject(new Error("timeout")), timeout)),
]);
//# sourceMappingURL=FetchWithTimeout.js.map