import React from "react";
import { RBAuthErrors } from "../rb-auth-errors";
import { PartialAuthApi, RBAuthUserModelWithRole, RBAuthBaseRoles } from "..";
export declare const Auth: React.FC<{
    authApi: PartialAuthApi;
    routes?: {
        private: string;
        public: string;
    };
    onAuthExpired?: (e: RBAuthErrors) => void;
    appApis?: Record<string, unknown>;
    monitorUserChanges?: null | ((user: RBAuthUserModelWithRole<RBAuthBaseRoles> | null) => void);
}>;
