import { RBAuthInitialToken } from "../roles-based-auth/context";
const initialStorage = {
    accessToken: "",
    refreshToken: "",
    openIdToken: "",
    tokenType: "",
    expiresIn: "",
    scope: "",
    setTokens: () => null,
};
export class TokenUtil {
    static setStorage(storage) {
        TokenUtil.s = storage;
    }
    static getTokens() {
        return {
            accessToken: TokenUtil.s.accessToken || "",
            refreshToken: TokenUtil.s.refreshToken || "",
            openIdToken: TokenUtil.s.openIdToken || "",
            tokenType: TokenUtil.s.tokenType || "",
            expiresIn: TokenUtil.s.expiresIn || "",
            scope: TokenUtil.s.scope || "",
        };
    }
}
TokenUtil.s = initialStorage;
TokenUtil.setTokens = (t = RBAuthInitialToken) => TokenUtil.s.setTokens(t);
//# sourceMappingURL=TokenUtilities.js.map