import React from "react";
import { AuthContext } from "../roles-based-auth/context";
export const SecureScreen = ({ Redirect, Allowed, NotAllowed }) => (React.createElement(AuthContext.Consumer, null, (auth) => {
    var _a;
    if (!auth.isAuth) {
        if (NotAllowed)
            return React.createElement(NotAllowed, null);
        // TODO: set 'last route' in auth context if app needs to gracefully recover
        return React.createElement(Redirect, { to: ((_a = auth.routes) === null || _a === void 0 ? void 0 : _a.public) || "/" });
    }
    return React.createElement(Allowed, null);
}));
//# sourceMappingURL=SecureScreen.js.map