import React, { ReactElement } from "react";
import { RBAuthBaseRoles } from "..";
/**
 * Types
 */
declare type PermissionActionType = string;
declare type DataObject = {
    [key: string]: string | DataObject;
};
/**
 * Can Component
 */
interface CanProps {
    role: RBAuthBaseRoles;
    perform: PermissionActionType;
    data?: DataObject;
    yes?: () => ReactElement;
    no?: () => ReactElement;
}
export declare const Can: React.FC<CanProps>;
export {};
